Bug 594028 - Library builds duplicate
Summary: Library builds duplicate
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: libevent
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steve Dickson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 594027 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-20 11:37 UTC by Joe Orton
Modified: 2015-01-09 22:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
proposed patch (1.87 KB, patch)
2010-11-03 22:03 UTC, Joe Orton
no flags Details | Diff
better patch (2.38 KB, patch)
2010-11-04 19:05 UTC, Joe Orton
no flags Details | Diff

Description Joe Orton 2010-05-20 11:37:30 UTC
Description:
1) libevent_extra requires symbols from libevent_core but does not have a DT_NEEDED for it

2) libevent_core and libevent_extra seem to contain exactly the same set of objects as
libevent.  Why not make libevent depend on core/extra, or vice versa?  This is a strange
waste of disk space.

Comment 1 Joe Orton 2010-05-20 11:42:54 UTC
*** Bug 594027 has been marked as a duplicate of this bug. ***

Comment 2 Bug Zapper 2010-11-03 14:32:42 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Joe Orton 2010-11-03 22:03:18 UTC
Created attachment 457603 [details]
proposed patch

Proposed patch to not build any objects into libevent, rather just link it against both -levent_core  and -levent_extra.

Comment 4 Joe Orton 2010-11-04 19:05:14 UTC
Created attachment 457915 [details]
better patch

Here's a better patch which builds more.

Comment 5 Steve Dickson 2012-04-04 19:29:08 UTC
Is this still a problem? Things have changed so much its hard to tell...

Comment 6 Joe Orton 2012-05-01 07:18:26 UTC
Yes.

[root@localhost ~]# nm -D /usr/lib64/libevent_extra.so | grep evhttp_add
0000000000008870 T evhttp_add_header
0000000000009a90 T evhttp_add_server_alias
00000000000099b0 T evhttp_add_virtual_host
[root@localhost ~]# nm -D /usr/lib64/libevent.so | grep evhttp_add
0000003c0f426180 T evhttp_add_header
0000003c0f4273a0 T evhttp_add_server_alias
0000003c0f4272c0 T evhttp_add_virtual_host

Comment 7 Joe Orton 2012-05-01 07:21:50 UTC
libevent-2.0.14-2.fc17.x86_64

Comment 8 Fedora End Of Life 2013-04-03 19:57:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 9 Orion Poplawski 2013-04-17 19:53:35 UTC
Joe - Have you tried contacting upstream about this?

Comment 10 Fedora End Of Life 2015-01-09 21:43:54 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Orion Poplawski 2015-01-09 22:27:29 UTC
Still present in current libevent it seems.  But patch really should be submitted upstream.


Note You need to log in before you can comment on or make changes to this bug.